Subject: Re: [PATCH v3 0/7] teach `worktree list` verbose mode and prunable annotations

From: Rafael Silva <[email-masked]>
Date: Wed, 27 Jan 2021 09:08:45 +0100

Eric Sunshine <[email-masked]> writes:

> On Tue, Jan 19, 2021 at 4:28 PM Rafael Silva
> <[email-masked]> wrote:
>> Changes in v3
>> =============
>> v3 is 1-patch bigger than v2 and it includes the following changes:
>
> Thanks. I gave v3 a complete read-through, and it is just about perfect.
>
> Aside from a very minor problem with the tests in [5/7] and [7/7] and
> the documentation enhancement (`core.quotePath`) suggested by Phillip,
> this is really, really close. (In fact, I would be happy to accept v3
> as-is; those minor changes could easily be done on top.)
>
> I look forward to giving v4 my Reviewed-by:.
>

Thanks again for reviewing the series. I've just sent the v4 and I'm
looking forward to your review.

>> Range-diff against v2:
>> -:  ---------- > 1:  66cd83ba42 worktree: libify should_prune_worktree()
>> 1:  9d47fcb4a4 ! 2:  81f4824028 worktree: teach worktree to lazy-load "prunable" reason
>
> The range-diff seems slightly off. The "libify
> should_prune_worktree()" patch existed in v1 and v2, but the
> range-diff suggests that it's new with v3. You probably just need a
> minor adjustment to your `git format-patch --range-diff` invocation.

Thanks for pointing this out, I didn't notice this from the v3 range-diff.

-- 
Thanks
Rafael